Cliquez sur l'image pour la voir en taille réelle 

Nom : 		phpmyadmin.jpg 
Affichages :	21 
Taille :		60,5 Ko 
ID : 			467



Installation

Vous avez installer phpMyAdmin et vous désirez le mettre à jour car lorsque vous utilisez la 1ère fois la commande
apt install phpmyadmin
ce n'est pas la dernière version qu'il vous installe.
De plus normalement lorsque vous êtes connecté à phpMyAdmin sur l'accueil, il vous indique que votre version n'est pas à jour. Toutefois attention car par exemple la dernière version à ce jour est compatible avec PHP 7.2 ou antérieur. Donc si vous avez mis PHP 7.3 ça ne devrait pas fonctionner.

Connectez vous sur votre dédié avec filezilla puis allez dans
/usr/share/phpmyadmin
ensuite vous allez sur ce lien https://www.phpmyadmin.net/downloads/
vous téléchargez la dernière version stable en vérifiant bien la compatibilité avec votre installation web. Par exemple la version phpMyAdmin-4.9.0.1-all-languages.zip
Vous ouvrez l'archive puis vous ouvrez le dossier phpMyAdmin-4.9.0.1-all-languages et vous uploadez les dossiers/fichiers en écrasant les anciens.
Une fois l'upload terminé connectez vous à phpMyAdmin et normalement vous devriez avoir en bas ceci

Cliquez sur l'image pour la voir en taille réelle 

Nom : 		phpmyadmin1.jpg 
Affichages :	0 
Taille :		82,2 Ko 
ID : 			468

Concernant la 1ère ligne pour la corriger il faut aller dans
/usr/share/phpmyadmin
puis renommer le fichier
config.sample.inc.php
en
config.inc.php
ensuite vous ouvrez le fichier et sur la ligne
$cfg['blowfish_secret'] = '';
vous mettez une phrase que vous voulez mais sans espace. Ce qui donnera par exemple
$cfg['blowfish_secret'] = 'jaimevenirsurconfigtonservilyadebonstutosjemysens bienmdr';
attention car il vous faut un minimum de 32 caractères.
Une fois fait vous refermez votre fichier en le sauvegardant puis vous faites un refresh sur votre phpmyadmin et normalement la ligne a disparu.

Pour la 2nd ligne d'erreur vous allez dans
/usr/share/phpmyadmin
puis vous créez un dossier que vous nommez tmp ensuite vous faites un clic droit dessus et vous allez sur "droits d'accès au fichier..." puis dans la valeur numérique vous mettez 777 puis cliquez sur OK.
Faites un refresh sur phpMyAdmin et la ligne d'erreur disparait.

La mise à jour est terminé.
Lorsque vous voudrez mettre de nouveau à jour votre version vous ne devriez plus rencontrer les 2 erreurs.

Pour info, pour procéder à la rédaction de ce tutoriel j'ai mis PHP 7.3 et je n'ai pas vu de bug. Toutefois attention car je n'ai pas créé d'utilisateur ni de base de données donc le PHP 7.3 est peut-être incompatible avec ça.


Ce tutoriel est la propriété de configtonserv.com